Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Interface HttpSessionListener

All Superinterfaces:
  java.util.EventListener

    public interface HttpSessionListener

extends java.util.EventListener

Interface for receiving notification events about HttpSession lifecycle changes.

In order to receive these notification events, the implementation class must be either declared in the deployment descriptor of the web application, annotated with `WebListener`, or registered via one of the addListener methods defined on `ServletContext`.

Implementations of this interface are invoked at their `sessionCreated(javax.servlet.http.HttpSessionEvent)` method in the order in which they have been declared, and at their `sessionDestroyed(javax.servlet.http.HttpSessionEvent)` method in reverse order.

Since:
  Servlet 2.3
See Also:
  `HttpSessionEvent`

Method Summary
`void` | `sessionCreated(HttpSessionEvent se)` Receives notification that a session has been created.
`void` | `sessionDestroyed(HttpSessionEvent se)` Receives notification that a session is about to be invalidated.

Method Detail

### sessionCreated

    void sessionCreated(HttpSessionEvent se)

  Receives notification that a session has been created.

  Parameters:
    `se` - the HttpSessionEvent containing the session

### sessionDestroyed

    void sessionDestroyed(HttpSessionEvent se)

  Receives notification that a session is about to be invalidated.

  Parameters:
    `se` - the HttpSessionEvent containing the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.